%define upstream_name    Test-Script
%define upstream_version 1.07

%define _requires_exceptions perl(blib)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cross-platform basic tests for scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(Probe::Perl)

BuildArch:      noarch


%description
The intent of this module is to provide a series of basic tests for scripts in
the bin directory of your Perl distribution.

Further, it aims to provide them with perfect platform-compatibility and in a
way that is as unobtrusive as possible.

That is, if the program works on a platform, then Test::Script should also work
on that platform.

In doing so, it is hoped that Test::Script can become a module that you can
safely make a dependency of your module, without risking your module not
working on some platform because of the dependency.

Where a clash exists between wanting more functionality and maintaining
platform safety, this module will err on the side of platform safety.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README LICENSE META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-3.mga3
+ Revision: 373778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.70.0-2.mga1
+ Revision: 24402
- removing blib prereq

* Wed Jan 19 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 24384
- fix specs
- imported package perl-Test-Script

